# Class: c3.Plot.Layer.Swimlane.Sampled.SVG

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Swimlane.Sampled

## Overview

TODO: Optimize by generating pixel data array once in _size() and reusing it in _draw()

A sampled swimlane layer implemented via SVG lines

## Extensibility

The following c3.Selection members are made available if appropriate:

- lines - svg:rect's for each swimlane

## Variables Summary

version =

      0.0

type =

      'svg'

line_options =

      undefined

  [c3.Selection.Options] Options for the svg:line's in each swimlane

### Variable inherited from c3.Plot.Layer.Swimlane.Sampled

version type dx filter safe dy hover lane_options _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _draw(origin) Bound
- # (void) _style() Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Swimlane.Sampled

#_hover_datum #_update #_sample #_init #_size #_draw #_style #init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _draw(origin) Bound

# (void) _style() Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input